###%define cid		\{c45c406e-ab73-11d8-be73-000a95be3b12\}
###%define ciddir 	%_noarch_extensionsdir/%cid

Name:	seamonkey-webdeveloper
Version:	1.0.2
Release:	alt1
Summary:	The Web Developer extension for Mozilla Seamonkey

License:	GPL
Group:		Networking/WWW	
URL:		http://chrispederick.com/work/seamonkey/webdeveloper/

Source0:	webdeveloper_mozilla_localized.xpi

BuildArch:	noarch
BuildRequires:	rpm-build-seamonkey unzip

Requires: seamonkey

Packager: Alexey Morsov <swi@altlinux.ru>

%description 
The Web Developer extension for Mozilla Seamonkey 
Adds a toolbar with webdeveloper's tools

%prep
%__rm -rf %name-%version
%__mkdir %name-%version
%setup -q -T -D
unzip %SOURCE0

%build

%install
%__install -d %buildroot%seamonkey_chromedir
%__cp chrome/*.jar %buildroot%seamonkey_chromedir
cat > installed-chrome.txt <<EOF
content,install,url,jar:resource:/chrome/webdeveloper.jar!/content/webdeveloper/
locale,install,url,jar:resource:/chrome/webdeveloper.jar!/locale/en-US/webdeveloper/
locale,install,url,jar:resource:/chrome/webdeveloper.jar!/locale/ru-RU/webdeveloper/
skin,install,url,jar:resource:/chrome/webdeveloper.jar!/skin/modern/webdeveloper/
skin,install,url,jar:resource:/chrome/webdeveloper.jar!/skin/classic/webdeveloper/
EOF
cp installed-chrome.txt %buildroot/%seamonkey_chromedir/installed-chrome-webdeveloper.txt


%post
%seamonkey_extension_postin

%postun
%seamonkey_extension_postun

%files
%seamonkey_chromedir/*


%changelog
* Fri Jan 12 2007 Alexey Morsov <swi@altlinux.ru> 1.0.2-alt1
- first build for sisyphus


